package com.ssj.bean.sys.teacher.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.math.BigDecimal;

/**
 * @author yrf
 * @date 2019/5/9 10:30
 */
@Entity
@Table(name = "ssj_teacher_weight_rule")
public class TeacherWeightRule extends BaseEntity {

    private static final long serialVersionUID = -5869455817361162576L;

    private String name;//规则名称
    private Integer type;//规则类型 1:作业总数 2:批改速度 3:评分
    private String grade;//年级
    private BigDecimal minValue;//区间最小值
    private BigDecimal maxValue;//区间最大值
    private BigDecimal weight;//权重

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public BigDecimal getMinValue() {
        return minValue;
    }

    public void setMinValue(BigDecimal minValue) {
        this.minValue = minValue;
    }

    public BigDecimal getMaxValue() {
        return maxValue;
    }

    public void setMaxValue(BigDecimal maxValue) {
        this.maxValue = maxValue;
    }

    public BigDecimal getWeight() {
        return weight;
    }

    public void setWeight(BigDecimal weight) {
        this.weight = weight;
    }
}
